Skip to Content
API ReferenceTrustpilot

Trustpilot API

Business review platform — profiles, reviews, search, and categories.

  • Businesses: Get business profiles by domain
  • Reviews: Paginated reviews with star/language filters
  • Search: Find businesses by keyword
  • Categories: Browse and search business categories
  • Suggestions: Autocomplete business name suggestions

Businesses

GET /trustpilot/businesses/:domain — 2 credits

Get business profile by domain.

ParamTypeRequiredDefaultDescription
domainstringYesBusiness domain (e.g. www.amazon.com, stripe.com)
curl -H "x-api-key: sk_byc_xxx" \ https://api.bycrawl.com/trustpilot/businesses/www.amazon.com

Response

{ "id": "46ad346800006400050092d0", "displayName": "Amazon", "identifyingName": "www.amazon.com", "websiteUrl": "https://www.amazon.com", "numberOfReviews": 44451, "trustScore": 1.7, "stars": 1.5, "profileImageUrl": "//s3-eu-west-1.amazonaws.com/tpd/screenshots/46ad346800006400050092d0/198x149.png", "isClaimed": true, "isClosed": false, "categories": [ { "id": "book_store", "name": "Book Store", "isPrimary": true } ], "contactInfo": { "email": "", "address": "", "city": "", "country": "GB", "phone": "", "zipCode": "" }, "activity": { "hasSubscription": false, "isAskingForReviews": false, "claimedDate": "2015-02-18T19:08:43.000Z", "replyPercentage": 0, "averageDaysToReply": 0 } }

GET /trustpilot/businesses/:domain/reviews — 2 credits

Get reviews for a business.

ParamTypeRequiredDefaultDescription
domainstringYesBusiness domain
pageintegerNo1Page number (1-100)
sortstringNorecencySort order: recency, relevance
starsintegerNoFilter by star rating (1-5)
languagesstringNoallLanguage filter ISO code (e.g. en, all)
curl -H "x-api-key: sk_byc_xxx" \ "https://api.bycrawl.com/trustpilot/businesses/www.amazon.com/reviews?page=1&stars=5"

Response

{ "reviews": [ { "id": "69b5f6971e4eed0a09382028", "title": "Late on most of their shipments", "text": "I do not know what is going on...", "rating": 1, "language": "en", "likes": 0, "dates": { "experiencedDate": "2026-03-14T00:00:00.000Z", "publishedDate": "2026-03-15T02:00:23.000Z", "updatedDate": null }, "consumer": { "id": "5a05b9c10000ff000ae0d9dc", "displayName": "KEITH GAYLORD", "numberOfReviews": 46, "countryCode": "US", "imageUrl": "https://user-images.trustpilot.com/5a05b9c10000ff000ae0d9dc/73x73.png", "isVerified": false }, "reply": null, "isVerified": false, "source": "Organic" } ], "pagination": { "currentPage": 1, "totalPages": 2102, "totalCount": 42031, "perPage": 20 }, "filters": { "sort": "recency", "stars": null, "languages": "all" } }

GET /trustpilot/businesses/search — 2 credits

Search for businesses on Trustpilot.

ParamTypeRequiredDefaultDescription
qstringYesSearch query
pageintegerNo1Page number (1-100)
curl -H "x-api-key: sk_byc_xxx" \ "https://api.bycrawl.com/trustpilot/businesses/search?q=stripe"

Response

{ "businesses": [ { "businessUnitId": "50489e6800006400051ae0d6", "displayName": "Stripe", "identifyingName": "stripe.com", "numberOfReviews": 16886, "trustScore": 1.8, "stars": 2, "logoUrl": "//s3-eu-west-1.amazonaws.com/tpd/logos/50489e6800006400051ae0d6/0x0.png", "websiteUrl": "https://stripe.com", "verified": true, "categories": [ { "id": "payment_service", "name": "Payment Service" } ], "location": { "country": "United States", "city": "San Francisco", "street": "510 Townsend Street", "postcode": "94103" } } ], "pagination": { "currentPage": 1, "totalPages": 43, "totalResults": 211 } }

Categories

GET /trustpilot/categories/search — 1 credit

Search Trustpilot business categories.

ParamTypeRequiredDefaultDescription
qstringYesSearch query for categories
curl -H "x-api-key: sk_byc_xxx" \ "https://api.bycrawl.com/trustpilot/categories/search?q=payment"

Response

[ { "id": "bank", "name": "Bank", "parentId": "money_insurance" }, { "id": "savings_bank", "name": "Savings Bank", "parentId": "money_insurance" } ]

Suggestions

GET /trustpilot/suggestions — 1 credit

Get business name autocomplete suggestions (text-only).

ParamTypeRequiredDefaultDescription
qstringYesSearch query for autocomplete
curl -H "x-api-key: sk_byc_xxx" \ "https://api.bycrawl.com/trustpilot/suggestions?q=stripe"

Response

[ { "query": "Stripe" }, { "query": "Stripe Atlas" } ]